<?php

/**
 * @file
 * Provide views data for the dpxu module.
 */

/**
 * Implements hook_views_data_alter().
 */
function dpxu_views_data_alter(&$data) {
  $data['users']['dpxu_user_edit_link'] = [
    'title' => t('Edit managed user link'),
    'group' => 'User',
    'field' => [
      'help' => t('Link to edit the managed user account.'),
      'id' => 'dpxu_user_edit_link',
    ],
  ];
  $data['users']['dpxu_user_message_reason'] = [
    'title' => t('Managed user contact reason'),
    'group' => 'User',
    'real field' => 'uid',
    'field' => [
      'help' => t('Indicates managed user has used the manager contact form, with reason for message.'),
      'id' => 'dpxu_user_message_reason',
    ],
  ];
  $data['users']['dpxu_create_user_link'] = [
    'title' => t('Link to create managed user'),
    'group' => 'User',
    'area' => [
      'id' => 'dpxu_create_user_link',
    ],
  ];
}
